﻿@using Microsoft.AspNetCore.Identity
@using CarRental.Core.Models

@inject SignInManager<Account> SignInManager
@inject UserManager<Account> UserManager

<ul class="navbar-nav">
    @if (SignInManager.IsSignedIn(User))
    {
        @if (User.IsInRole(ListRoles.Customer))
        {
            <li class="nav-item dropdown">
                <a class="btn btn-outline dropdown-toggle nav-link" class="nav-link" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage"
                   role="button" id="dropdownMenuLink"
                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Welcome, @User.Identity?.Name
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <a class="dropdown-item" asp-area="Accounts" asp-controller="EditProfile" asp-action="EditProfile" asp-route-username="@User.Identity?.Name">My Profile</a>
                    <a class="dropdown-item " asp-area="Customer" asp-action="Index" asp-controller="Booking">My Booking</a>
                    <a class="dropdown-item " asp-area="Accounts" asp-action="MyWallet" asp-controller="Wallet">My Wallet</a>
                    <div class="dropdown-divider"></div>
                    <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                        <button type="submit" class=" btn btn-link mt-2 mb-1 dropdown-item ">Logout</button>
                    </form>
                </div>
            </li>
        }
        else if (User.IsInRole(ListRoles.CarOwner))
        {
            <li class="nav-item dropdown">
                <a class="btn btn-outline dropdown-toggle nav-link" class="nav-link" asp-area="Identity" asp-page="/Account/Manage/Index" title="Manage"
                   role="button" id="dropdownMenuLink"
                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    Welcome, @User.Identity?.Name
                </a>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                    <a class="dropdown-item" asp-area="Accounts" asp-controller="EditProfile" asp-action="EditProfile" asp-route-username="@User.Identity?.Name">My Profile</a>
                    <a class="dropdown-item " asp-area="CarOwner" asp-action="ViewCarsList" asp-controller="Cars">My Cars</a>
                    <a class="dropdown-item " asp-area="Accounts" asp-action="MyWallet" asp-controller="Wallet">My Wallet</a>
                    <div class="dropdown-divider"></div>
                    <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                        <button type="submit" class=" btn btn-link mt-2 mb-1 dropdown-item ">Logout</button>
                    </form>
                </div>
            </li>
        }

    }
    else
    {
        <li class="nav-item">
            <a class="nav-link" asp-area="Accounts" asp-controller="Account" asp-action="Register">Register</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" asp-area="Accounts" asp-controller="Account" asp-action="Login">Login</a>
        </li>

    }
</ul>
